# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		bio2jack
Version:	0.9
Release:	alt1_8
Group:		System/Libraries
# The license file says GPLv2+ but the source files say LGPLv2+.
# The author of the software confirmed (via email) that it is 
# actually LGPLv2+.
License:	LGPLv2+
Summary:	A library for porting blocked io(OSS/ALSA) applications to jack
URL:		http://bio2jack.sourceforge.net/
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:  gettext
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:  libtool
Source44: import.info

%description
Bio (blocked i/o) 2 jack is a library for enabling easy porting of blocked
io(OSS/ALSA) applications to the jack sound server. This library allows the 
person porting the code to simply replace the calls into OSS/ALSA with calls
into interface functions of this library. The library buffers a small amount of
audio data and takes care of the rest of the jack implementation including the
linked list of audio data buffers and the jack callback.


%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	bio2jack = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%setup -q -n %{name}

# Remove precompiled binaries:
rm -fr .libs *.o

# Screws up the build if left alive
rm -f *.lo

# In order to pass the optflags later:
sed -i -e 's|./configure||g' autogen.sh


%build
./autogen.sh
%configure \
	--enable-static=no \
	--enable-shared=yes
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Kill libtool archive
rm %{buildroot}%{_libdir}/lib%{name}.la

%files
%doc AUTHORS ChangeLog README NEWS
%{_libdir}/lib%{name}.so.*

%files devel
%{_bindir}/%{name}-config
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_8
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_7
- converted for Sisyphus

